experimental_data = importdata("tibia_all.tab");
data = experimental_data.data;



time = data(:,1);
pos_rf = data(:,2);
pos_rm = data(:,3);
pos_rr = data(:,4);
pos_lf = data(:,5);
pos_lm = data(:,6);
pos_lr = data(:,7);








figure(1)
plot(time, pos_rf)
xlim([8,22])
fig = gcf;
print(fig,'rf.svg','-dsvg')

figure(2)
plot(time, pos_rm)
xlim([8,22])
fig = gcf;
print(fig,'rm.svg','-dsvg')


figure(3)
plot(time, pos_rr)
xlim([8,22])
fig = gcf;
print(fig,'rr.svg','-dsvg')

figure(4)
plot(time, pos_lf)
xlim([8,22])
fig = gcf;
print(fig,'lf.svg','-dsvg')

figure(5)
plot(time, pos_lm)
xlim([8,22])
fig = gcf;
print(fig,'lm.svg','-dsvg')

figure(6)
plot(time, pos_lr)
xlim([8,22])
fig = gcf;
print(fig,'lr.svg','-dsvg')

figure(7)

bias = ones([length(time),1]);
pos_rm_n = pos_rm - 91*bias

plot(time, pos_rm_n)
xlim([8,22])
fig = gcf;
print(fig,'rm_n.svg','-dsvg')



% bias = ones([length(time),1])*-92;
% 
% plot(time,pos+bias)
% ylim([-62,-50])
% ylabel('End-effector z position (mm)')
% xlabel('Running time (s)')
% fontsize(15,"points")